> ## Documentation Index
> Fetch the complete documentation index at: https://docs.illumiatech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ping

> Basic request to check if the API is accessible.



## OpenAPI

````yaml /api-reference/idx/apollo-spec-instmgmt-cardholder-account/ping/ping.json get /ping
openapi: 3.0.3
info:
  title: Ping API
  description: >-
    The Ping API can be used to monitor the availability of the API service and
    allow consumers to verify their connectivity.
  termsOfService: TBD
  contact:
    name: Transact Campus
    url: https://www.transactcampus.com/
    email: developers@transactcampus.com
  license:
    name: ISC
    url: https://www.transactcampus.com/legal/terms-of-use
  version: '1.0'
servers:
  - url: >-
      https://api.transactcampus.com/idx/institution-management/cardholders-accounts
    description: Prod
  - url: >-
      https://api-uat.transactsp.net/idx/institution-management/cardholders-accounts
    description: UAT
security:
  - ApimKey: []
tags:
  - name: Ping
    description: The ping tag.
paths:
  /ping:
    get:
      tags:
        - Ping
      summary: Ping
      description: Basic request to check if the API is accessible.
      operationId: getPing
      responses:
        '200':
          description: Indicates the API is accessible.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  status:
                    type: string
                    enum:
                      - UP
                    description: The status of the API.
                required:
                  - status
        '401':
          $ref: '#/components/responses/unauthorized-error-response'
        '500':
          $ref: '#/components/responses/500-error-response'
components:
  responses:
    unauthorized-error-response:
      description: >-
        The APIM key header is either invalid or was not provided in the
        request. A valid APIM subscription key must be used to make calls to
        this API.
      content:
        application/json:
          schema:
            type: object
            additionalProperties: false
            properties:
              errors:
                type: array
                description: The list of errors.
                minItems: 1
                items:
                  type: object
                  additionalProperties: false
                  properties:
                    errorCode:
                      type: string
                      description: The error code describing the failure.
                    errorMessage:
                      type: string
                      description: The error message providing the error details.
                  required:
                    - errorCode
                    - errorMessage
            required:
              - errors
          examples:
            authorizationHeaderInvalid-example:
              value:
                errors:
                  - errorCode: authorizationHeaderInvalid
                    errorMessage: >-
                      A required authorization header is not present or the
                      value is invalid
    500-error-response:
      description: An unexpected internal error occurred.
      content: {}
  securitySchemes:
    ApimKey:
      name: Ocp-Apim-Subscription-Key
      type: apiKey
      in: header
      description: The APIM subscription key header.

````